/*
 *	jtprim_print.c
 *
 *	JoyToyインタプリタ
 *
 *	* Sun Jan 01 00:00:00 JST 2006 Naoyuki Sawa
 *	- 作成開始。
 *	* Tue Jan 31 00:00:00 JST 2006 Naoyuki Sawa
 *	- 1st リリース。
 */
#include "app.h"

/*****************************************************************************
 *	JTPRIM_PRINT
 *****************************************************************************/

static JTCODE_INTERFACE**
jtprim_print_call(LIST/*<JTCODE_INTERFACE**>*/ * args_list)
{
	JTCODE_INTERFACE** code = NULL;
	//
	int i;
	int count;

	/* 引数を文字列として表示します。
	 * 二つ以上の引数が指定された場合は、','で区切って表示します。
	 * 最後に、改行します。
	 */
	count = list_size(args_list);
	for(i = 0; i < count; i++) {
		safe_attach(code, list_get(args_list, i));
		joytoy_print(code);
		if(i < count - 1) {
			printf(",");
		}
	}
	printf("\n");

	return code;
}

JTCODE_INTERFACE**
jtprim_print_create()
{
	return jtprim_create("print", jtprim_print_call);
}

